Namespace
library
Image / Tag
swift:5.6.3-focal
Content Digest
sha256:77b6d0600a66a6520256ef5096b6210047df2ccc6c2913ac0332f350a8f64cdb
Details
Created

2022-09-02 16:17:51 UTC

Size

642 MB

Content Digest
Labels
  • description
    Docker Container for the Swift programming language
  • maintainer
    Swift Infrastructure <swift-infrastructure@forums.swift.org>
  • org.opencontainers.image.ref.name
    ubuntu
  • org.opencontainers.image.version
    20.04

Environment
PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

SWIFT_BRANCH

swift-5.6.3-release

SWIFT_PLATFORM

ubuntu20.04

SWIFT_SIGNING_KEY

A62AE125BBBFBB96A6E042EC925CC1CCED3D1561

SWIFT_VERSION

swift-5.6.3-RELEASE

SWIFT_WEBROOT

https://download.swift.org


Layers

[#000] sha256:602d8ad51b8130f3fcd71cb936dea612ebc799666136abf2e5914585b3178a4a - 4.09% (26.2 MB)

[#001] sha256:64c9633e5ac234dd661c111dedb3fbcfa500ebf914596a8d9a6a715257164c8c - 17.9% (115 MB)

[#002] sha256:90ebe6fa7ed0d9ddeba34a76911fbc827e3864ff12c0e6a68fa670cca449c5ae - 78.01% (501 MB)

[#003] sha256:ab549fac176774551d7bb2383d89901cbe3c50ab406d3e01f76a50bdff7eab9e - 0.0% (201 Bytes)


History
2022-09-02 16:17:51 UTC

/bin/sh -c #(nop) ARG RELEASE

2022-09-02 16:17:51 UTC

/bin/sh -c #(nop) ARG LAUNCHPAD_BUILD_ARCH

2022-09-02 16:17:51 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.ref.name=ubuntu

2022-09-02 16:17:51 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.version=20.04

2022-09-02 16:17:51 UTC

/bin/sh -c #(nop) ADD file:e7cff353f027ecf0a2cb1cdd51714de3b083a11a0d965f104489f9a7e6925056 in /

2022-09-02 16:17:51 UTC

/bin/sh -c #(nop) CMD ["/bin/bash"]

2022-09-02 16:17:51 UTC (buildkit.dockerfile.v0)

LABEL maintainer=Swift Infrastructure <swift-infrastructure@forums.swift.org>

2022-09-02 16:17:51 UTC (buildkit.dockerfile.v0)

LABEL description=Docker Container for the Swift programming language

2022-09-02 16:17:51 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c export DEBIAN_FRONTEND=noninteractive DEBCONF_NONINTERACTIVE_SEEN=true && apt-get -q update && apt-get -q install -y binutils git unzip gnupg2 libc6-dev libcurl4-openssl-dev libedit2 libgcc-9-dev libpython3.8 libsqlite3-0 libstdc++-9-dev libxml2-dev libz3-dev pkg-config tzdata zlib1g-dev && rm -r /var/lib/apt/lists/* # buildkit

2022-09-02 16:17:51 UTC (buildkit.dockerfile.v0)

ARG SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561

2022-09-02 16:17:51 UTC (buildkit.dockerfile.v0)

ARG SWIFT_PLATFORM=ubuntu20.04

2022-09-02 16:17:51 UTC (buildkit.dockerfile.v0)

ARG SWIFT_BRANCH=swift-5.6.3-release

2022-09-02 16:17:51 UTC (buildkit.dockerfile.v0)

ARG SWIFT_VERSION=swift-5.6.3-RELEASE

2022-09-02 16:17:51 UTC (buildkit.dockerfile.v0)

ARG SWIFT_WEBROOT=https://download.swift.org

2022-09-02 16:17:51 UTC (buildkit.dockerfile.v0)

ENV SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561 SWIFT_PLATFORM=ubuntu20.04 SWIFT_BRANCH=swift-5.6.3-release SWIFT_VERSION=swift-5.6.3-RELEASE SWIFT_WEBROOT=https://download.swift.org

2022-09-02 16:17:51 UTC (buildkit.dockerfile.v0)

RUN |5 SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561 SWIFT_PLATFORM=ubuntu20.04 SWIFT_BRANCH=swift-5.6.3-release SWIFT_VERSION=swift-5.6.3-RELEASE SWIFT_WEBROOT=https://download.swift.org /bin/sh -c set -e; ARCH_NAME="$(dpkg --print-architecture)"; url=; case "${ARCH_NAME##*-}" in 'amd64') OS_ARCH_SUFFIX=''; ;; 'arm64') OS_ARCH_SUFFIX='-aarch64'; ;; *) echo >&2 "error: unsupported architecture: '$ARCH_NAME'"; exit 1 ;; esac; SWIFT_WEBDIR="$SWIFT_WEBROOT/$SWIFT_BRANCH/$(echo $SWIFT_PLATFORM | tr -d .)$OS_ARCH_SUFFIX" && SWIFT_BIN_URL="$SWIFT_WEBDIR/$SWIFT_VERSION/$SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX.tar.gz" && SWIFT_SIG_URL="$SWIFT_BIN_URL.sig" && export DEBIAN_FRONTEND=noninteractive && apt-get -q update && apt-get -q install -y curl && rm -rf /var/lib/apt/lists/* && export GNUPGHOME="$(mktemp -d)" && curl -fsSL "$SWIFT_BIN_URL" -o swift.tar.gz "$SWIFT_SIG_URL" -o swift.tar.gz.sig && gpg --batch --quiet --keyserver keyserver.ubuntu.com --recv-keys "$SWIFT_SIGNING_KEY" && gpg --batch --verify swift.tar.gz.sig swift.tar.gz && tar -xzf swift.tar.gz --directory / --strip-components=1 && chmod -R o+r /usr/lib/swift && rm -rf "$GNUPGHOME" swift.tar.gz.sig swift.tar.gz && apt-get purge --auto-remove -y curl # buildkit

2022-09-02 16:17:51 UTC (buildkit.dockerfile.v0)

RUN |5 SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561 SWIFT_PLATFORM=ubuntu20.04 SWIFT_BRANCH=swift-5.6.3-release SWIFT_VERSION=swift-5.6.3-RELEASE SWIFT_WEBROOT=https://download.swift.org /bin/sh -c swift --version # buildkit

Details
Created

2022-09-02 16:17:51 UTC

Size

609 MB

Content Digest
Labels
  • description
    Docker Container for the Swift programming language
  • maintainer
    Swift Infrastructure <swift-infrastructure@forums.swift.org>
  • org.opencontainers.image.ref.name
    ubuntu
  • org.opencontainers.image.version
    20.04

Environment
PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

SWIFT_BRANCH

swift-5.6.3-release

SWIFT_PLATFORM

ubuntu20.04

SWIFT_SIGNING_KEY

A62AE125BBBFBB96A6E042EC925CC1CCED3D1561

SWIFT_VERSION

swift-5.6.3-RELEASE

SWIFT_WEBROOT

https://download.swift.org


Layers

[#000] sha256:f02209be4ee528c246399de81af4552e52adb005a8a499815607b6b0d42746bf - 4.06% (24.8 MB)

[#001] sha256:3d2d1be89a1b0f09d6e342049331e6eebede3006ed7ba077baaa3e82ff9ebf7b - 18.35% (112 MB)

[#002] sha256:ffb13ec7742167a9d2b28726496614c973be1fec0922218808d46fefc6f52f10 - 77.58% (473 MB)

[#003] sha256:938eb11ce3f2ed393f17a7a70686ab967e2665a22f53cf4c15895317b911f1ba - 0.0% (201 Bytes)


History
2022-09-02 16:17:51 UTC

/bin/sh -c #(nop) ARG RELEASE

2022-09-02 16:17:51 UTC

/bin/sh -c #(nop) ARG LAUNCHPAD_BUILD_ARCH

2022-09-02 16:17:51 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.ref.name=ubuntu

2022-09-02 16:17:51 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.version=20.04

2022-09-02 16:17:51 UTC

/bin/sh -c #(nop) ADD file:6d8cc056ee741f09a6c7d965d8e2027d80ed2eccbfb0312593ce52d9256db437 in /

2022-09-02 16:17:51 UTC

/bin/sh -c #(nop) CMD ["/bin/bash"]

2022-09-02 16:17:51 UTC (buildkit.dockerfile.v0)

LABEL maintainer=Swift Infrastructure <swift-infrastructure@forums.swift.org>

2022-09-02 16:17:51 UTC (buildkit.dockerfile.v0)

LABEL description=Docker Container for the Swift programming language

2022-09-02 16:17:51 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c export DEBIAN_FRONTEND=noninteractive DEBCONF_NONINTERACTIVE_SEEN=true && apt-get -q update && apt-get -q install -y binutils git unzip gnupg2 libc6-dev libcurl4-openssl-dev libedit2 libgcc-9-dev libpython3.8 libsqlite3-0 libstdc++-9-dev libxml2-dev libz3-dev pkg-config tzdata zlib1g-dev && rm -r /var/lib/apt/lists/* # buildkit

2022-09-02 16:17:51 UTC (buildkit.dockerfile.v0)

ARG SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561

2022-09-02 16:17:51 UTC (buildkit.dockerfile.v0)

ARG SWIFT_PLATFORM=ubuntu20.04

2022-09-02 16:17:51 UTC (buildkit.dockerfile.v0)

ARG SWIFT_BRANCH=swift-5.6.3-release

2022-09-02 16:17:51 UTC (buildkit.dockerfile.v0)

ARG SWIFT_VERSION=swift-5.6.3-RELEASE

2022-09-02 16:17:51 UTC (buildkit.dockerfile.v0)

ARG SWIFT_WEBROOT=https://download.swift.org

2022-09-02 16:17:51 UTC (buildkit.dockerfile.v0)

ENV SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561 SWIFT_PLATFORM=ubuntu20.04 SWIFT_BRANCH=swift-5.6.3-release SWIFT_VERSION=swift-5.6.3-RELEASE SWIFT_WEBROOT=https://download.swift.org

2022-09-02 16:17:51 UTC (buildkit.dockerfile.v0)

RUN |5 SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561 SWIFT_PLATFORM=ubuntu20.04 SWIFT_BRANCH=swift-5.6.3-release SWIFT_VERSION=swift-5.6.3-RELEASE SWIFT_WEBROOT=https://download.swift.org /bin/sh -c set -e; ARCH_NAME="$(dpkg --print-architecture)"; url=; case "${ARCH_NAME##*-}" in 'amd64') OS_ARCH_SUFFIX=''; ;; 'arm64') OS_ARCH_SUFFIX='-aarch64'; ;; *) echo >&2 "error: unsupported architecture: '$ARCH_NAME'"; exit 1 ;; esac; SWIFT_WEBDIR="$SWIFT_WEBROOT/$SWIFT_BRANCH/$(echo $SWIFT_PLATFORM | tr -d .)$OS_ARCH_SUFFIX" && SWIFT_BIN_URL="$SWIFT_WEBDIR/$SWIFT_VERSION/$SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX.tar.gz" && SWIFT_SIG_URL="$SWIFT_BIN_URL.sig" && export DEBIAN_FRONTEND=noninteractive && apt-get -q update && apt-get -q install -y curl && rm -rf /var/lib/apt/lists/* && export GNUPGHOME="$(mktemp -d)" && curl -fsSL "$SWIFT_BIN_URL" -o swift.tar.gz "$SWIFT_SIG_URL" -o swift.tar.gz.sig && gpg --batch --quiet --keyserver keyserver.ubuntu.com --recv-keys "$SWIFT_SIGNING_KEY" && gpg --batch --verify swift.tar.gz.sig swift.tar.gz && tar -xzf swift.tar.gz --directory / --strip-components=1 && chmod -R o+r /usr/lib/swift && rm -rf "$GNUPGHOME" swift.tar.gz.sig swift.tar.gz && apt-get purge --auto-remove -y curl # buildkit

2022-09-02 16:17:51 UTC (buildkit.dockerfile.v0)

RUN |5 SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561 SWIFT_PLATFORM=ubuntu20.04 SWIFT_BRANCH=swift-5.6.3-release SWIFT_VERSION=swift-5.6.3-RELEASE SWIFT_WEBROOT=https://download.swift.org /bin/sh -c swift --version # buildkit

Danger Zone
Delete Tag

Please be careful as this will not just delete the reference but also the actual content!

For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.

Delete